<?php
namespace Ep\TecDoc;

use Zend\ServiceManager\AbstractFactory\ReflectionBasedAbstractFactory;

return [
    'dependencies' => [
        'aliases' => [
            'tecdoc' => TecDocService::class,
            'tecdoc_service' => TecDocInterface::class,

            'app.tecdoc' => Middleware\TecDocMiddleware::class,
            'app.tecdoc.selected_vehicle' => Middleware\SelectedVehicle::class,
        ],

        'factories' => [
            TecDocService::class => TecDocServiceFactory::class,
            TecDocInterface::class => TecDocFactory::class,
            'tecdoc_session' => Session\TecDocSessionFactory::class,

            Middleware\TecDocMiddleware::class => ReflectionBasedAbstractFactory::class,
            Middleware\SelectedVehicle::class => ReflectionBasedAbstractFactory::class,
        ],
    ],
];