<?php
namespace Ep\TecDoc\Record;

/**
 * Class ManufacturersRecord
 *
 * @package Ep\TecDoc\Record
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class ManufacturersRecord implements RecordInterface
{
    /** @var int */
    protected $manuId;
    /** @var string */
    protected $manuName;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->manuId;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->manuName === 'SKODA' ? 'ŠKODA' : $this->manuName;
    }
}