<?php
namespace EpTest\TecDoc;

use Ep\TecDoc\ConfigProvider;
use EpTest\ContainerAwareTrait;

/**
 * Class TecDocAwareTrait
 *
 * @package EpTest\TecDoc
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
trait TecDocAwareTrait
{
    use ContainerAwareTrait {
        createContainer as __createContainer;
    }

    public function createContainer()
    {
        $config = new ConfigProvider();

        return $this->__createContainer(array_merge($config(), [
            'tecdoc' => [

            ],
        ]));
    }
}