import $ from 'jquery';
const Cookies = require('js-cookie');

export default class SelectedVehicle
{
    constructor(el)
    {
        this.$el = $(el);
        this.$expand = this.$el.find('.selected-vehiclen__expand');
        this.$link = this.$el.find('.selected-vehiclen__menu-inner');
        this.$overlay = this.$el.find('.selected-vehiclen__overlay');

        this.$expand.on('click', this.onExpand.bind(this));
        this.$link.on('click', this.onClick.bind(this));
        this.$overlay.on('click', this.onExpand.bind(this));
    }

    onExpand(e)
    {
        e.preventDefault();
        this.$el.toggleClass('open');
    }

    onClick(e)
    {
        e.preventDefault();
        Cookies.remove('_tv');
        document.location = document.location.href.replace(/\/[a-z0-9-]+--[a-z0-9-]+-\d+--[a-z0-9-]+-\d+/, '');
        this.redirect = true;
    }
}