<?php
namespace Ep\TecDoc\Record;

use \DateTime;
use \DatePeriod;

/**
 * Class ModelSeriesRecord
 *
 * @package Ep\TecDoc\Record
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class ModelSeriesRecord implements RecordInterface
{
    use Traits\ConstructionPeriodTrait;

    /** @var int */
    protected $modelId;
    /** @var string */
    protected $modelname;
    /** @var int */
    protected $yearOfConstrFrom;
    /** @var int */
    protected $yearOfConstrTo;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->modelId;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->modelname;
    }
}