<?php
namespace Ep\TecDoc\Record\Seq;

use Countable;
use Ep\TecDoc\Record\RecordInterface;
use IteratorAggregate;

/**
 * Class RecordSeqInterface
 *
 * @package Ep\TecDoc\Record\Seq
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
interface RecordSeqInterface extends
    Countable,
    IteratorAggregate
{
    /**
     * @return RecordInterface[]
     */
    public function getArray(): array;

    /**
     * @return bool
     */
    public function isEmpty(): bool;
}