<?php

namespace Ep\TecDoc\Request;

use Ep\TecDoc\Request\AbstractRequest;

class LanguagesRequest extends AbstractRequest {

    use Parts\LangTrait;

    public function toJson()
    {
        $params = [
            'getLanguages' => [
                'lang' => $this->lang,
                'provider' => $this->provider,
            ],
        ];

        return json_encode($params);
    }


}